Loading...
Searching...
No Matches
Opm::EclEpsScalingPoints< Scalar > Class Template Reference

Represents the points on the X and Y axis to be scaled if endpoint scaling is used. More...

`#include <EclEpsScalingPoints.hpp>`

## Public Member Functions

void | init (const EclEpsScalingPointsInfo< Scalar > &epsInfo, const EclEpsConfig &config, EclTwoPhaseSystemType epsSystemType)
| Assigns the scaling points which actually ought to be used.
void | setSaturationPcPoint (unsigned pointIdx, Scalar value)
| Sets an saturation value for capillary pressure saturation scaling.
const std::array< Scalar, 3 > & | saturationPcPoints () const
| Returns the points used for capillary pressure saturation scaling.
void | setSaturationKrwPoint (unsigned pointIdx, Scalar value)
| Sets an saturation value for wetting-phase relperm saturation scaling.
const std::array< Scalar, 3 > & | saturationKrwPoints () const
| Returns the points used for wetting phase relperm saturation scaling.
void | setSaturationKrnPoint (unsigned pointIdx, Scalar value)
| Sets an saturation value for non-wetting phase relperm saturation scaling.
const std::array< Scalar, 3 > & | saturationKrnPoints () const
| Returns the points used for non-wetting phase relperm saturation scaling.
void | setMaxPcnw (Scalar value)
| Sets the maximum capillary pressure.
Scalar | maxPcnw () const
| Returns the maximum capillary pressure.
void | setLeverettFactor (Scalar value)
| Sets the Leverett scaling factor for capillary pressure.
Scalar | leverettFactor () const
| Returns the Leverett scaling factor for capillary pressure.
void | setKrwr (Scalar value)
| Set wetting-phase relative permeability at residual saturation of non-wetting phase.
Scalar | krwr () const
| Returns wetting-phase relative permeability at residual saturation of non-wetting phase.
void | setMaxKrw (Scalar value)
| Sets the maximum wetting phase relative permeability.
Scalar | maxKrw () const
| Returns the maximum wetting phase relative permeability.
void | setKrnr (Scalar value)
| Set non-wetting phase relative permeability at residual saturation of wetting phase.
Scalar | krnr () const
| Returns non-wetting phase relative permeability at residual saturation of wetting phase.
void | setMaxKrn (Scalar value)
| Sets the maximum wetting phase relative permeability.
Scalar | maxKrn () const
| Returns the maximum wetting phase relative permeability.
void | print () const

## Detailed Description

template<class Scalar>
class Opm::EclEpsScalingPoints< Scalar >

Represents the points on the X and Y axis to be scaled if endpoint scaling is used.

The documentation for this class was generated from the following files:

- opm/material/fluidmatrixinteractions/EclEpsScalingPoints.hpp
- opm/material/fluidmatrixinteractions/EclEpsScalingPoints.cpp